Skip to main content
POST
Relate a record to a story

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

storyId
integer
required

Story id in the current organization.

Body

application/json

Validated request fields for this operation.

record_type
string
required

Workspace record type recognized by the record registry, such as program, entity or donor. The selected record must be readable.

Maximum string length: 64
Example:

"program"

record_id
integer
required

Record id. Validation: required, integer.

Example:

1

relationship_role
string | null

Relationship role. Validation: nullable, string, max:64.

Maximum string length: 64
Example:

"Relationship Role"

label_snapshot
string | null

Label snapshot. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Label Snapshot"

metadata_json

Metadata json. Validation: nullable, array.

Response

Operation result.

data
object